Debian Bug report logs - #544583
support custom ramfs size

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Tong Sun <suntong@cpan.org>

Date: Tue, 1 Sep 2009 17:36:07 UTC

Severity: wishlist

Fixed in version live-boot/3.0~a13-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, suntong@cpan.org, Debian Live <debian-live@lists.debian.org>:
Bug#544583; Package live-initramfs. (Tue, 01 Sep 2009 17:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong@cpan.org>:
New Bug report received and forwarded. Copy sent to suntong@cpan.org, Debian Live <debian-live@lists.debian.org>. (Tue, 01 Sep 2009 17:36:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: suntong@cpan.org
Subject: Need to control ramfs size
Date: Tue, 1 Sep 2009 13:34:44 -0400
Package: live-initramfs
Version: 1.157.2-1
Severity: minor

Hi,

I've bumped into "out of disk space" problem when using Debian
Live. I am using the persistent root and a big swap partition, 
but mount tmp on ramfs -- in fstab:

 /dev/ram7       /var/tmp        ramfs   defaults,rw,auto,dev            0 0
 /dev/ram        /tmp            ramfs   defaults,rw,auto,dev            0 0

but it didn't go long before running into "out of disk space"
problem. 

I hope that live-initramfs can control how big the /dev/ram device
is (better be 1/8 of swap spaces for example). 

Thanks

Tong Sun

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (300, 'testing'), (50, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-grml64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.10.2-2 Tiny utilities for small and embed
ii  file                          5.00-1     Determines file type using "magic"
ii  initramfs-tools               0.93.2     tools for generating an initramfs
ii  sudo                          1.7.0-1    Provide limited super user privile
ii  udev                          0.141-1    /dev/ and hotplug management daemo
ii  user-setup                    1.23       Set up initial user and password

Versions of packages live-initramfs recommends:
pn  cryptsetup      <none>                   (no description available)
ii  eject           2.1.5+deb1+cvs20081104-5 ejects CDs and operates CD-Changer
pn  uuid-runtime    <none>                   (no description available)
ii  wget            1.11.4-2                 retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                     <none>     (no description available)
pn  genext2fs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  loop-aes-utils                <none>     (no description available)
pn  mtd-tools                     <none>     (no description available)
ii  squashfs-lzma-tools [squashfs 3.3-1      Tool to create and append to squas

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#544583; Package live-initramfs. (Tue, 01 Sep 2009 18:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 01 Sep 2009 18:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 544583@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Tong Sun <suntong@cpan.org>
Cc: 544583@bugs.debian.org
Subject: Re: Bug#544583: Need to control ramfs size
Date: Tue, 01 Sep 2009 20:24:43 +0200
Tong Sun wrote:
> I've bumped into "out of disk space" problem when using Debian
> Live. I am using the persistent root and a big swap partition, 
> but mount tmp on ramfs -- in fstab:

i don't understand. if you use (root) persistency, you don't have a ram
disk at all, but all writes are dumped to the persistency partition.

so how/why does ramfs matter?

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#544583; Package live-initramfs. (Tue, 01 Sep 2009 19:12:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 01 Sep 2009 19:12:59 GMT) Full text and rfc822 format available.

Message #15 received at 544583@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong@cpan.org>
To: daniel@debian.org
Cc: 544583@bugs.debian.org
Subject: Re: Bug#544583: Need to control ramfs size
Date: Tue, 1 Sep 2009 14:51:49 -0400
On Tue, Sep 1, 2009 at 2:24 PM, Daniel Baumann<daniel@debian.org> wrote:
> Tong Sun wrote:
>> I've bumped into "out of disk space" problem when using Debian
>> Live. I am using the persistent root and a big swap partition,
>> but mount tmp on ramfs -- in fstab:
>
> i don't understand. if you use (root) persistency, you don't have a ram
> disk at all, but all writes are dumped to the persistency partition.
>
> so how/why does ramfs matter?

As shown in OP:

 /dev/ram7       /var/tmp        ramfs   defaults,rw,auto,dev            0 0
 /dev/ram        /tmp            ramfs   defaults,rw,auto,dev            0 0

I.e., I don't want all writes dumped to the persistency partition, so
I excluded  /tmp & /var/tmp by using ramfs.

I hope that live-initramfs can have a boot parameter to control how
big the /dev/ram device is.

thanks




Severity set to 'wishlist' from 'minor' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 14 Dec 2009 10:27:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'support custom ramfs size' from 'Need to control ramfs size' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 09:54:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-initramfs' to 'live-boot'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:09:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-initramfs/1.157.2-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:09:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Dec 2010 10:52:10 GMT) Full text and rfc822 format available.

Notification sent to Tong Sun <suntong@cpan.org>:
Bug acknowledged by developer. (Mon, 06 Dec 2010 10:52:10 GMT) Full text and rfc822 format available.

Message #28 received at 544583-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 544583-close@bugs.debian.org
Subject: Bug#544583: fixed in live-boot 3.0~a13-1
Date: Mon, 06 Dec 2010 10:47:49 +0000
Source: live-boot
Source-Version: 3.0~a13-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_3.0~a13-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a13-1_all.deb
live-boot_3.0~a13-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a13-1.debian.tar.gz
live-boot_3.0~a13-1.dsc
  to main/l/live-boot/live-boot_3.0~a13-1.dsc
live-boot_3.0~a13-1_all.deb
  to main/l/live-boot/live-boot_3.0~a13-1_all.deb
live-boot_3.0~a13.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544583@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Dec 2010 11:27:07 +0100
Source: live-boot
Binary: live-boot live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a13-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 544583
Changes: 
 live-boot (3.0~a13-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Removing legacy code for detecting removable usb sticks on kernels
     prior 2.6.29.
   * Logging to /var/log/live-boot.log instead of /var/log/live.log for
     future consistency with live-config.
   * Adding support for custom ramdisk size (Closes: #544583).
 .
   [ Ronny Standtke ]
   * Remounting cow read-only before prompting user to remove usb flash
     drive.
 .
   [ Richard Nelson ]
   * Clean some leading whitespaces.
Checksums-Sha1: 
 2200b2e74fb42e80043f895e8adeb9e174a84ed4 1250 live-boot_3.0~a13-1.dsc
 0061b9dcc8316b5043901f8985bd20c4118f2ca5 106333 live-boot_3.0~a13.orig.tar.gz
 757c32c4593c9603e5a96d74051aca5e53764523 18801 live-boot_3.0~a13-1.debian.tar.gz
 1cc00c199fefb23f69061d69089e89561d87fd85 75910 live-boot_3.0~a13-1_all.deb
 ac85d2b5c7f0e876fd1032b923f70a31766bc600 30124 live-boot-initramfs-tools_3.0~a13-1_all.deb
Checksums-Sha256: 
 4589437e83fab14fa57a0c1c5d1957af6b80838a0b0e8ec306814fe38ca5fbb0 1250 live-boot_3.0~a13-1.dsc
 1fb1cab4c176329fe526d759918a476c5af1c25db47130f684b1b09845f0b35c 106333 live-boot_3.0~a13.orig.tar.gz
 5b65f95c0c5b99e4769f9025b385185ccaced661efcdf5e7fa17cf639c3c1e4e 18801 live-boot_3.0~a13-1.debian.tar.gz
 ee7fb1bc7868d416aa3e85c5fa58c8571c72024c4e4cb5b485a239598fe736af 75910 live-boot_3.0~a13-1_all.deb
 75c738cd44b294a26903e4525fd46a1f9d88c02987abd1046d4957ed189ab421 30124 live-boot-initramfs-tools_3.0~a13-1_all.deb
Files: 
 1ca4ad0870b2a18833dfc9dd0487c2eb 1250 misc optional live-boot_3.0~a13-1.dsc
 ed83ffee279089c4b526c2bbff5e03c7 106333 misc optional live-boot_3.0~a13.orig.tar.gz
 6e62b6765f308b62774b481726677b09 18801 misc optional live-boot_3.0~a13-1.debian.tar.gz
 fd7715167d680fa021fbd4e5bb2fe234 75910 misc optional live-boot_3.0~a13-1_all.deb
 30557707eb6e0b28bc5cd0b1e805782e 30124 misc optional live-boot-initramfs-tools_3.0~a13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz8u1QACgkQ+C5cwEsrK55VtgCfXuZ3kOV2w+w24/vTQpdd9o7Z
7TkAmwXVy5XjRFJ5niU5poKIl/bBlXv0
=/zbN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Jan 2011 07:37:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:42:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.